Decide what actions we want to record on the www.wikipedia.org portal
Closed, ResolvedPublic4 Story Points

Description

We previously had https://meta.wikimedia.org/wiki/Schema:WikipediaPortal, but we probably want something a little more granular.

Deliverables for this task: a schema similar to https://meta.wikimedia.org/wiki/Schema:WikipediaPortal that defines what actions we want to record on the page.

Deskana created this task.Oct 22 2015, 8:48 PM
Deskana updated the task description. (Show Details)
Deskana raised the priority of this task from to Normal.
Deskana added a subscriber: Deskana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 22 2015, 8:48 PM
mpopov added a subscriber: mpopov.Oct 22 2015, 10:15 PM

I want to stress that we need to have a relatively concrete list of problems the changes are meant to address which will help us develop the questions we want to ask which will help us design a schema for collecting the data that answers those questions.

Here's what I've got written so far:

  • changes are meant to decrease the bounce rate
  • changes are meant to reduce time spent on the portal

There was a third one that Moiz mentioned that I couldn't quite catch.

Deskana moved this task from Needs triage to Analysis on the Discovery board.Oct 27 2015, 10:28 AM
Ironholds set Security to None.Oct 27 2015, 2:17 PM
Ironholds edited a custom field.
Ironholds claimed this task.
MSyed added a comment.Oct 28 2015, 9:59 PM

@Ironholds this looks good! We should get someone else to review the basic schema too I think. Someone who has done this before and can help us identify anything we're missing.

@EBernhardson would be a good person to talk about the viability.

Thinking about it there are a couple more fields we should/could add:

  1. Something analogous to accept_language. If it largely agrees with what wiki they end up with, that points to there being some advantage in automagically changing what links we give people based on their browser's language settings.
  2. A 'cohort' field, NULL by default, that we can use for A/B testing.
ksmith added a subscriber: ksmith.Oct 29 2015, 7:59 PM

@Ironholds: Those fields were added, right?

Deskana closed this task as Resolved.Nov 26 2015, 3:29 AM